> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardust.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Sign a Message



## OpenAPI

````yaml post /v1/sign/message
openapi: 3.0.0
info:
  title: Stardust API
  description: ''
  version: v1
  contact: {}
servers:
  - url: https://vault-api.stardust.gg
    description: WaaS API
security: []
tags: []
paths:
  /v1/sign/message:
    post:
      tags:
        - Sign Endpoints
      summary: Sign a Message
      operationId: SignController_signMessage
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SignRequestDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignResponseDto'
      security:
        - api-key: []
        - jwt-core: []
components:
  schemas:
    SignRequestDto:
      type: object
      properties:
        walletId:
          type: string
          description: Wallet UUID for operation
          example: '1'
        chainType:
          type: string
          description: Chain paradigm for operation
          example: EVM
        chainId:
          type: string
          description: '[deprecated] evm chain id for operation'
          example: '1'
        message:
          type: string
          description: the message to sign
      required:
        - walletId
        - chainType
        - message
    SignResponseDto:
      type: object
      properties:
        walletId:
          type: string
          description: Wallet UUID for operation
          example: '1'
        chainType:
          type: string
          description: Chain paradigm for operation
          example: EVM
        chainId:
          type: string
          description: '[deprecated] evm chain id for operation'
          example: '1'
        message:
          type: string
          description: the message to sign
        signature:
          type: string
          description: The signed message
      required:
        - walletId
        - chainType
        - message
        - signature
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: x-api-key
    jwt-core:
      type: apiKey
      in: header
      name: Authorization

````